Get Data Collectors
Get all Data Collectors.
Note: Data collector endpoints are not available in VMware Aria Automation (on-prem) release.
The version of the API in yyyy-MM-dd format (UTC). For versioning information refer to /iaas/api/about
If query param is provided with value equals to true, only disabled data collectors will be retrieved.
Successful operation
{
"content": [
{
"dcId": "d5316b00-f3b8-4895-9e9a-c4b98649c2ca",
"ipAddress": "10.0.0.1",
"name": "Datacollector1",
"hostName": "dc1-lnd.mycompany.com",
"status": "ACTIVE, INACTIVE"
}
],
"totalElements": 1,
"numberOfElements": 1
}
List of content items
Total number of elements. In some cases the field may not be populated
Number of elements in the current page
Forbidden
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
curl -H 'Authorization: <value>' https://{api_host}/iaas/api/data-collectors